#include <bits/stdc++.h>

auto main() -> int {
	size_t n;
	std::cin >> n;

	std::vector<std::pair<long, long>> koordinate;

	for (size_t i = 0; i < n; ++i) {
		long x, y;
		std::cin >> x >> y;

		koordinate.push_back(std::pair<long, long>{ x, y });
	}

	if (n > 4) {
		std::cout << 6 << '\n';
		return 0;
	}

	if (n < 4) {
		std::cout << 3 << '\n';
		return 0;
	}

	std::cout << 1 << '\n';
}